All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.swing.models
Class OLAPMemberTreeNode

    com.sas.swing.models.OLAPMemberTreeNode

All Implemented Interfaces:
  LabeledStringValueInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  OLAPMemberDeferredRetrievalTreeNode

    public class OLAPMemberTreeNode

implements LabeledStringValueInterface

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`OLAPMemberTreeNode(AxisInterface axis)`
`OLAPMemberTreeNode(java.lang.Object userObject)`
`OLAPMemberTreeNode(java.lang.Object userObject, boolean allowsChildren)`
`OLAPMemberTreeNode(OLAPDataSetInterface model)`
`OLAPMemberTreeNode(TupleElementInterface element)`

Method Summary
`static int` | `getChildCount(TupleElementInterface element)`
`java.lang.String` | `getLabel()` Returns the label for the object or value.
`java.lang.String` | `getValue()` Retrieve the value stored in the text value model
`void` | `setLabel(java.lang.String string)`
`void` | `setValue(java.lang.Object object)`
`java.lang.String` | `toString()`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### OLAPMemberTreeNode

    public OLAPMemberTreeNode(java.lang.Object userObject)

Parameters:
  `userObject` -

### OLAPMemberTreeNode

    public OLAPMemberTreeNode(java.lang.Object userObject,
                              boolean allowsChildren)

Parameters:
  `userObject` -
  `allowsChildren` -

### OLAPMemberTreeNode

    public OLAPMemberTreeNode(OLAPDataSetInterface model)
                       throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberTreeNode

    public OLAPMemberTreeNode(TupleElementInterface element)
                       throws OLAPException

Throws:
  `OLAPException`

### OLAPMemberTreeNode

    public OLAPMemberTreeNode(AxisInterface axis)
                       throws OLAPException

Throws:
  `OLAPException`

Method Detail

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `LabeledStringValueInterface`
  Returns the label for the object or value.

  Specified by:
    `getLabel` in interface `LabeledStringValueInterface`
  Returns:
    label for the object

### getValue

    public java.lang.String getValue()

  Description copied from interface: `LabeledStringValueInterface`
  Retrieve the value stored in the text value model

  Specified by:
    `getValue` in interface `LabeledStringValueInterface`
  Returns:
    value stored in the model

### setLabel

    public void setLabel(java.lang.String string)

  Parameters:
    `string` -

### setValue

    public void setValue(java.lang.Object object)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildCount

    public static int getChildCount(TupleElementInterface element)

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.